cURL
curl --request PUT \
--url https://app.teable.ai/api/plugin/%7Bid%7D \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"name":"string","description":"string","detailDesc":"string","url":"http://example.com","config":{"contextMenu":{"width":0,"height":0,"x":0,"y":0,"frozenResize":true,"frozenDrag":true},"view":null,"dashboard":null,"panel":null},"logo":"string","helpUrl":"http://example.com","positions":["dashboard"],"i18n":{"en":{"title":"Plugin title","description":"Plugin description"},"zh":{"title":"插件标题","description":"插件描述"}}}'{
"id": "<string>",
"name": "<string>",
"logo": "<string>",
"positions": [],
"secret": "<string>",
"createdTime": "<string>",
"lastModifiedTime": "<string>",
"description": "<string>",
"detailDesc": "<string>",
"config": {
"contextMenu": {
"width": 123,
"height": 123,
"x": 123,
"y": 123,
"frozenResize": true,
"frozenDrag": true
},
"view": null,
"dashboard": null,
"panel": null
},
"url": "<string>",
"helpUrl": "<string>",
"i18n": {
"en": {
"title": "Plugin title",
"description": "Plugin description"
},
"zh": {
"title": "插件标题",
"description": "插件描述"
}
},
"pluginUser": {
"id": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"avatar": "<string>"
}
}plugin
Put plugin
Update a plugin
PUT
/
plugin
/
{id}
cURL
curl --request PUT \
--url https://app.teable.ai/api/plugin/%7Bid%7D \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"name":"string","description":"string","detailDesc":"string","url":"http://example.com","config":{"contextMenu":{"width":0,"height":0,"x":0,"y":0,"frozenResize":true,"frozenDrag":true},"view":null,"dashboard":null,"panel":null},"logo":"string","helpUrl":"http://example.com","positions":["dashboard"],"i18n":{"en":{"title":"Plugin title","description":"Plugin description"},"zh":{"title":"插件标题","description":"插件描述"}}}'{
"id": "<string>",
"name": "<string>",
"logo": "<string>",
"positions": [],
"secret": "<string>",
"createdTime": "<string>",
"lastModifiedTime": "<string>",
"description": "<string>",
"detailDesc": "<string>",
"config": {
"contextMenu": {
"width": 123,
"height": 123,
"x": 123,
"y": 123,
"frozenResize": true,
"frozenDrag": true
},
"view": null,
"dashboard": null,
"panel": null
},
"url": "<string>",
"helpUrl": "<string>",
"i18n": {
"en": {
"title": "Plugin title",
"description": "Plugin description"
},
"zh": {
"title": "插件标题",
"description": "插件描述"
}
},
"pluginUser": {
"id": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"avatar": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Minimum array length:
1Available options:
dashboard, view, contextMenu, panel Maximum string length:
150Maximum string length:
3000Show child attributes
Show child attributes
Example:
{
"en": {
"title": "Plugin title",
"description": "Plugin description"
},
"zh": { "title": "插件标题", "description": "插件描述" }
}Response
200 - application/json
Returns data about the plugin.
Available options:
dashboard, view, contextMenu, panel Available options:
developing, reviewing, published Show child attributes
Show child attributes
Example:
{
"en": {
"title": "Plugin title",
"description": "Plugin description"
},
"zh": { "title": "插件标题", "description": "插件描述" }
}Show child attributes
Show child attributes
Last modified on March 5, 2026
Was this page helpful?
⌘I

